BEEM - Android XMPP - Support #406

Eclipse
01/30/2012 12:38 PM - Anonymous

Status: Closed Start date: 01/30/2012
Priority: Normal Due date:

Assignee: Frédéric Barthéléry % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description
Anybody knows how to open this project in Eclipse?

Related issues:
Is duplicate of Support #405: Eclipse New 01/30/2012

History

#1 - 01/30/2012 02:32 PM - Frédéric Barthéléry
- Status changed from New to Assigned
- Assignee set to Frédéric Barthéléry

- Priority changed from High to Normal

Basically, there is few steps to follow to compile Beem with eclipse :

e Create an Android project from existing source

e Set the java compiler compliance to 1.6 : In project property, go to Java Compiler and change the Compiler complance level

¢ Add the libraries in the classpath : In project property, go to Java Build Path, tab Libraries, click on the Add JARs... button, then select
libs/asmack-android-7-beem.jar and libs/Icrypto-jdk16-146-20110415.jar

#2 - 01/30/2012 06:53 PM - Vincent de Wit

| am sorry | just registerd an account. Already tried what you said but | get errors about variables not resolved.

#3 - 01/30/2012 09:07 PM - Frédéric Barthéléry

Which variables are unresolved ?
Are you sure you add the two jars in the build path?
You should try to refresh and clean the project sometimes eclipse don't set up the new configuration until it is done.

#4 - 01/30/2012 10:21 PM - Loop Back

You need to setup android sdk in the project - it is not set by default and so all Ressources wont be available...
And: It might not work if you do not have the right android sdk version - you may need to correct androidmanifests targetsdk var...

#5 - 01/31/2012 11:34 AM - Vincent de Wit

Checked it and still got the errors.There are more then 1000 errors.Here are some errors:

Description Resource Path Location Type

AsymmetricCipherKeyPair cannot be resolved to a type OtrCryptoEnginelmpl.java /Login2/src/net/java/otr4j/crypto line 51 Java Problem
available cannot be resolved to a variable PresenceType.java /Login2/src/com/beem/project/beem/utils line 90 Java Problem

Base64 cannot be resolved AvatarExtension.java /Login2/src/com/beem/project/beem/smack/avatar line 69 Java Problem

Base64 cannot be resolved OtrKeyManagerlmpl.java /Login2/src/net/java/otr4j line 99 Java Problem

Base64 cannot be resolved SerializationUtils.java /Login2/src/net/java/otrdj/io line 208 Java Problem

Base64 cannot be resolved  SerializationUtils.java /Login2/src/net/java/otr4j/io line 265 Java Problem

| hope you can help me.

#6 - 01/31/2012 01:58 PM - Frédéric Barthéléry
The two jars are not in the build path so most of the class cannot be found.

Re try the procedure, | gave you early

#7 - 02/13/2012 12:32 PM - Frédéric Barthéléry
- Status changed from Assigned to Feedback
#8 - 06/22/2012 11:41 AM - Frédéric Barthéléry

- Status changed from Feedback to Resolved

#9 - 08/10/2012 08:08 AM - Frédéric Barthéléry

- Status changed from Resolved to Closed
